require_dependency "phcreallistingspro/application_controller"

module Phcreallistingspro
  class Property::FeaturesController < ApplicationController

    # Include Core Helpers, Security & Action Filters
    include Phccorehelpers::PhcpluginsproHelper
    before_action :authenticate_user!
    before_action :set_paper_trail_whodunnit
    before_action :set_property_feature, only: [:show, :edit, :update, :destroy]

    # Listings Features - Index View
    def index
      @property_features = Property::Feature.all
    end

    # Listings Features - Detail View
    def show
    end

    # Listings Features - New View
    def new
      @property_feature = Property::Feature.new
    end

    # Listings Features - Edit View
    def edit
    end


    # Listings Features - Edit
    def create
      @property_feature = Property::Feature.new(property_feature_params)

      if @property_feature.save
        redirect_to @property_feature, notice: 'Feature was successfully created.'
      else
        render :new
      end
    end

    # Listings Features - New
    def update
      if @property_feature.update(property_feature_params)
        redirect_to @property_feature, notice: 'Feature was successfully updated.'
      else
        render :edit
      end
    end

    # Listings Features - Erase
    def destroy
      @property_feature.destroy
      redirect_to property_features_url, notice: 'Feature was successfully destroyed.'
    end

    private

    # Listings Features - Callback
    def set_property_feature
      @property_feature = Property::Feature.find(params[:id])
    end

    # Listings Features - Whitelist
    def property_feature_params
      params.require(:property_feature).permit(:feature_name)
    end

  end
end
