require_dependency "phcreallistingspro/application_controller"

module Phcreallistingspro
  class Property::ListingsController < ApplicationController

    # Include Core Helpers, Security & Action Filters
    include Phccorehelpers::PhcpluginsproHelper
    before_action :authenticate_user!
    before_action :set_paper_trail_whodunnit
    before_action :set_property_listing, only: [:show, :edit, :update, :destroy]

    # listings - Index View
    def index
      @property_listings = Property::Listing.all
    end

    # listings - Detailed View
    def show
    end

    # listings - New view
    def new
      @property_listing = Property::Listing.new
    end

    # listings - Edit View
    def edit
    end

    # listings - New
    def create
      @property_listing = Property::Listing.new(property_listing_params)

      if @property_listing.save
        redirect_to @property_listing, notice: 'Listing was successfully created.'
      else
        render :new
      end
    end

    # listings - Edit
    def update
      if @property_listing.update(property_listing_params)
        redirect_to @property_listing, notice: 'Listing was successfully updated.'
      else
        render :edit
      end
    end

    # listings - Delete
    def destroy
      @property_listing.destroy
      redirect_to property_listings_url, notice: 'Listing was successfully destroyed.'
    end

    private

    # listings -
    def set_property_listing
      @property_listing = Property::Listing.find(params[:id])
    end

    # listings -
    def property_listing_params
      params.require(:property_listing).permit(:listing_title, :listing_description, :listing_street_address, :listing_price, :listing_area, :listing_property_area, :listing_garage_area, :listing_room, :listing_bed,  :listing_bath, :listing_garage, :listing_type, :listing_status, :listing_year_built, :listing_energy_class, :listing_leed_rating, :listing_upload, :user_id, :org_id, gallery_upload: [], feature_ids: [])
    end

  end
end
