module Phcreallistingspro
  class Property::Listing < ApplicationRecord

    # Image Uploading
    has_one_attached :listing_upload
    has_many_attached :gallery_upload

    # Relationships
    has_and_belongs_to_many :features, class_name: 'Phcreallistingspro::Property::Feature', :join_table => 'features_listings'

    # Validation for Form Fields
    validates :listing_title,
      presence: true,
      length: { minimum: 3 }

      validates :listing_description,
        presence: true,
        length: { minimum: 10 }

      validates :listing_street_address,
        presence: true,
        length: { minimum: 3 }

      validates :listing_price,
        presence: true,
        length: { minimum: 3 }

  end
end
